# $Revision: 1.16 $, $Date: 2011/06/06 17:44:33 $
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Name:		Zope-Component
Version:	3.10.0
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.component//zope.component-%{version}.tar.gz
# Source0-md5:	8041d92540e701943daed97329012348
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	Zope-DeferredImport
Requires:	Zope-Deprecation
Requires:	Zope-Event
Requires:	Zope-Interface
Requires:	Zope-Proxy
Requires:	Zope-Testing
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core of the Zope Component Architecture.

%description -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%prep
%setup -q -n zope.component-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/component
%{py_sitedir}/zope.component-*.egg-info
%{py_sitedir}/zope.component-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Component.spec,v $
Revision 1.16  2011/06/06 17:44:33  marti
- up to 3.10.0

Revision 1.15  2010/07/08 08:50:27  arekm
- release 2

Revision 1.14  2010/02/10 01:19:34  sparky
- BR: python-setuptools

Revision 1.13  2010/02/08 13:26:31  wrobell
- ver. 3.7.1

Revision 1.12  2009/06/03 06:59:09  amateja
- updated to 3.6.0

Revision 1.11  2008/12/09 03:15:22  wrobell
- ver. 3.5.1

Revision 1.10  2008/11/16 15:33:38  wrobell
- rel. 2

Revision 1.9  2008-04-27 15:48:53  wrobell
- final 3.4.0
- use pypi url as downloads.zope.org is bit out of date

Revision 1.8  2008-03-04 22:34:53  qboosh
- py_sitedir is not noarch

Revision 1.7  2008-03-04 22:23:50  wrobell
- noarch is back

Revision 1.6  2008-03-04 22:17:02  wrobell
- moved to py_sitedir
- rel. 0.snap.2

Revision 1.5  2008-01-04 22:13:58  qboosh
- rpm/python deps

Revision 1.4  2008-01-04 22:08:52  qboosh
- python 2.5 for .egg-info
- noarch

Revision 1.3  2008-01-04 22:05:31  qboosh
- pl

Revision 1.2  2007-09-12 22:13:00  wrobell
- fixed summary/description
- fixed license
- fixed group

Revision 1.1  2007/09/10 00:03:21  wrobell
- based on Zope-Testing.spec
